public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sven Vermeulen" <swift@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/setools/
Date: Wed,  1 Feb 2017 17:23:35 +0000 (UTC)	[thread overview]
Message-ID: <1485969751.2e57e03669119191e7d0bb237aa22477205d3ec7.swift@gentoo> (raw)

commit:     2e57e03669119191e7d0bb237aa22477205d3ec7
Author:     Sven Vermeulen <swift <AT> gentoo <DOT> org>
AuthorDate: Wed Feb  1 17:22:31 2017 +0000
Commit:     Sven Vermeulen <swift <AT> gentoo <DOT> org>
CommitDate: Wed Feb  1 17:22:31 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2e57e036

app-admin/setools: Bump to 4.1.0

Drop arm, arm64 and mips keywords as the dependencies (networkx for instance) are not available there yet.

Package-Manager: portage-2.3.3

 app-admin/setools/Manifest             |  1 +
 app-admin/setools/setools-4.1.0.ebuild | 53 ++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/app-admin/setools/Manifest b/app-admin/setools/Manifest
index eb53483..b8918eb 100644
--- a/app-admin/setools/Manifest
+++ b/app-admin/setools/Manifest
@@ -1,3 +1,4 @@
 DIST setools-3.3.8-04-gentoo-patches.tar.bz2 94986 SHA256 9a8a43ac97606fde9b2610ceed65f640638929853f871ce530982bedfd919b64 SHA512 39bf00b6aaf31821c6e2e2fb4c460dd1914fba4bf8385acebedf88f1533da990f1fb925dd49d75827aebef3f394a50a1edea46a07204193b58c65a066a064e6a WHIRLPOOL 4a92e4cf6930584de931c5d0805815aacd1c1af4434ca8e73414eda33588a55ef8d7bdfe4195be642889eee480128cbe12d1c5612e07ea304021b230e0b74816
 DIST setools-3.3.8.tar.bz2 951428 SHA256 44387ecc9a231ec536a937783440cd8960a72c51f14bffc1604b7525e341e999 SHA512 2c42ee9904174ed6c6fc129e374ec3591925094ab0ef65001b0104e365c5634bf4a79f28369608c80199d8f59fafaa5f274107c04c129c380eeef7adb0c32667 WHIRLPOOL 11c4065809909764f4364b78df1a8030d189315601b882919ccacb5fb147c1b3a061c5bbf9ced3c243d4615ab7727e9db0c89e931a884ae8b317ae3a879e5371
 DIST setools-4.0.1.tar.gz 399888 SHA256 4c2049877f2f68e4485b72bc280fe20127b49a019169a2cf1d8295c908bdcdfe SHA512 d0a36cfddc6a6f47ecaa8402141271558e97467b6c449d18b98bf6fe894189f29a32fb672e3ff573efdb44964bd361283c68c2906d02f8a9c1269b6b71903bc2 WHIRLPOOL 017e709c113b28175787249af8aa1dcc99a5034eadcc76e97a394f9f89afcc1e7fe3eeb8ec105c541a6260d8a2eb4b1aa8155ba2297ecdf6d640ba112857a442
+DIST setools-4.1.0.tar.gz 447189 SHA256 cc251572c50298e2705617c8a0ddb5ae7cfe0bde2480bc0c6a4e44341d3df831 SHA512 047f969a347c5d015885aef0c7a341ae4393c8e0d61a7112b7bd0380d7c6161765f1ac5d875777ac84430bbe4d21bcb8a748f1b8484ae3a4d3f0137e90a07f2b WHIRLPOOL 9b05768d55d4edcafe7f7f90e49fe3170659084a497f1bc74266270e8d242ae4173820058b598fb4452483e57303d11bf6bb4f2482144e9d2803369cf58b857c

diff --git a/app-admin/setools/setools-4.1.0.ebuild b/app-admin/setools/setools-4.1.0.ebuild
new file mode 100644
index 00000000..c26cdd4
--- /dev/null
+++ b/app-admin/setools/setools-4.1.0.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+PYTHON_COMPAT=( python2_7 python3_4 python3_5 )
+
+inherit distutils-r1
+
+DESCRIPTION="Policy Analysis Tools for SELinux"
+HOMEPAGE="https://github.com/TresysTechnology/setools/wiki"
+
+if [[ ${PV} == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/TresysTechnology/setools.git"
+else
+	SRC_URI="https://github.com/TresysTechnology/setools/archive/${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+IUSE="X debug test"
+
+RDEPEND="${PYTHON_DEPS}
+	>=sys-libs/libselinux-2.4:=[${PYTHON_USEDEP}]
+	>=dev-python/networkx-1.8[${PYTHON_USEDEP}]
+	app-arch/bzip2:=
+	dev-libs/libpcre:=
+	X? (
+		dev-python/PyQt5[gui,widgets]
+	)"
+
+DEPEND="${RDEPEND}
+	>=dev-lang/swig-2.0.12:0
+	sys-devel/bison
+	sys-devel/flex
+	>=sys-libs/libsepol-2.5
+	test? (
+		python_targets_python2_7? ( dev-python/mock[${PYTHON_USEDEP}] )
+		dev-python/tox[${PYTHON_USEDEP}]
+	)"
+
+python_prepare_all() {
+	sed -i "s/'-Werror', //" "${S}"/setup.py || die "failed to remove Werror"
+
+	use X || local PATCHES=( "${FILESDIR}"/setools-4.0.1-remove-gui.patch )
+	distutils-r1_python_prepare_all
+}
+
+python_test() {
+	esetup.py test
+}


             reply	other threads:[~2017-02-01 17:23 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2017-02-01 17:23 Sven Vermeulen [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-07-19 19:50 [gentoo-commits] repo/gentoo:master commit in: app-admin/setools/ Jakov Smolić
2024-07-19 16:36 Jakov Smolić
2024-05-05 20:52 Jason Zaman
2024-02-09 14:41 Kenton Groombridge
2024-01-17  1:33 Kenton Groombridge
2024-01-17  1:33 Kenton Groombridge
2023-09-24 16:16 Kenton Groombridge
2023-07-27  7:18 Sam James
2023-07-27  7:07 Sam James
2023-07-27  7:07 Sam James
2023-03-30  0:09 Kenton Groombridge
2022-04-12  1:37 Jason Zaman
2022-04-11  3:44 Jason Zaman
2021-11-20 23:20 Sam James
2021-11-20 23:20 Sam James
2021-11-20 15:00 Sam James
2021-09-19  6:48 Sam James
2021-09-19  6:30 Sam James
2021-07-28 20:08 Sam James
2021-07-04 22:19 Sam James
2021-04-03  4:19 Jason Zaman
2021-01-03  8:20 Jason Zaman
2020-12-03  3:12 Jason Zaman
2020-08-13 20:25 Michał Górny
2020-02-15 13:21 Jason Zaman
2020-02-15 13:21 Jason Zaman
2019-12-08 18:39 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-02-09 11:49 Jason Zaman
2018-12-27 11:26 Jason Zaman
2018-08-12 15:38 Virgil Dupras
2018-05-28  9:32 Jason Zaman
2018-05-25  7:58 Jason Zaman
2018-05-25  7:58 Jason Zaman
2018-03-03 18:38 Michał Górny
2018-03-02  6:27 Jason Zaman
2017-12-06 13:33 Jason Zaman
2017-09-23  2:15 Jason Zaman
2017-09-23  2:15 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-04-23  4:28 Jason Zaman
2017-04-23  4:04 Jason Zaman
2017-04-19  8:03 David Seifert
2017-04-10 18:39 Sven Vermeulen
2017-02-01 17:23 Sven Vermeulen
2017-02-01 17:18 Sven Vermeulen
2016-12-12 14:01 Jason Zaman
2016-10-03  7:30 Jason Zaman
2016-09-01 16:31 Jason Zaman
2016-06-22  6:43 Patrice Clement
2016-06-01 13:19 Jason Zaman
2015-12-21  8:57 Jason Zaman

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1485969751.2e57e03669119191e7d0bb237aa22477205d3ec7.swift@gentoo \
    --to=swift@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox